#include <stdio.h>

unsigned int sum_recc(unsigned int n) {
    if (n == 0) return 0;
    return n + sum_recc(n - 1);
}

int main(void) {
    unsigned int x = 0;

    printf("Input natural number: ");
    (void)scanf("%u", &x);

    unsigned int s = sum_recc(x);

    printf("Result: %u\n", s);

    return 0;
}
